package com.muyu.enterpise.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.domain.SysCarType;
import com.muyu.enterpise.mapper.SysTypeMapper;
import com.muyu.enterpise.service.SysTypeService;
import com.muyu.enterprise.cache.SysCarTypeCacheService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 车辆类型表(SysCarType)表服务实现类
 *  * @version 1.0
 *  * @Author xie ya ru
 *  * @Date 2024/9/22 9:34
 *  * @注释
 */
@Service
public class SysTypeServiceImpl
    extends ServiceImpl<SysTypeMapper, SysCarType>
        implements SysTypeService  {

    @Resource
    private SysTypeMapper sysTypeMapper;
    @Resource
    private SysCarTypeCacheService sysCarTypeCacheService;

    /**
     * 查询车辆类型列表
     * @return
     */
    @Override
    public List<SysCarType> selectSysTypeList() {
        List<SysCarType> sysCarTypes = sysTypeMapper.selectSysList();

        for (SysCarType sysCarType : sysCarTypes) {
            String id = sysCarType.getId();
            sysCarTypeCacheService.put(id,sysCarType);
            SysCarType sysCarType1 = sysCarTypeCacheService.get(id);
            System.out.println(sysCarType1);
        }

        return sysCarTypes;
    }


}
